package com.siwei.recyclebox.http;

import com.siwei.recyclebox.entity.DataEntity;

import io.reactivex.Observable;
import me.goldze.mvvmhabit.http.BaseResponse;

/**
 * Created by goldze on 2019/3/26.
 */
public interface HttpDataSource {
    //模拟登录
    Observable<Object> login();

    //模拟上拉加载
//    Observable<DemoEntity> loadMore();
//
    Observable<BaseResponse<DataEntity>> demoGet();

    Observable<BaseResponse<DataEntity>> demoPost(String catalog);


}
